> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/place-bo-order.md).

# Place BO Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/PlaceBOOrder`

\
**QUERY PARAMETERS**

| Request Parameter   | Description        | Mandatory |
| ------------------- | ------------------ | --------- |
| broker              | Broker Code        | Yes       |
| strategy            | Strategy Name      | Yes       |
| exchange            | Exchange name      | Yes       |
| symbol              | Trading Symbol     | Yes       |
| action              | Action             | Yes       |
| pricetype           | Price Type         | Yes       |
| quantity            | Quantity           | Yes       |
| price               | Price              | Yes       |
| squareoff           | Square Off Value   | Yes       |
| stoploss            | Stoploss Value     | Yes       |
| trailing\_stoploss  | Trailing Stoploss  | Yes       |
| trigger\_price      | Trigger Price      | No        |
| disclosed\_quantity | Disclosed Quantity | No        |

{% code title="  # Here is a curl example" %}

```
 -X POST https://amapi.algomojo.com/v1/PlaceBOOrder
                            
```

{% endcode %}

{% code title="Request example :" %}

```
 {
   "api_key":"your_api_key",
   "api_secret":"your_api_secret",
   "data":
     {
       "broker":"AB",
       "strategy":"Test Strategy",
       "exchange":"NSE",
       "symbol":"YESBANK",
       "action":"BUY",
       "pricetype":"MARKET",
       "quantity":"1",
       "price":"16",
       "squareoff":"10",
       "stoploss":"10",
       "trailing_stoploss":"1",
       "trigger_price":"0",
       "disclosed_quantity":"0",
     }
 }
```

{% endcode %}

{% code title="Response example:" %}

```
 {
     "status": "success",
     "data": {
         "broker": "AB",
         "orderid": "22110900034729"
     }
 }
```

{% endcode %}
